> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/poznamky-piny/27.-mutace-ulozeni-poznamky-pripojene-k-pudnimu-datasetu.md).

# 27. Mutace: Uložení „poznámky“ připojené k „půdnímu datasetu“

Tato mutace vám umožní připojit poznámku k určenému SoilDatasetu.

* Poznámka může být propojena s Polem prostřednictvím jeho jedinečného identifikátoru `fieldUuid` a k přidruženému SoilDatasetu přes `soilDatasetUuid`.
* Souřadnice Poznámky lze nastavit pomocí `centroidu` atributu, který vyžaduje definované `zeměpisnou šířku` a `zeměpisnou délku` hodnoty.&#x20;
* Typ Poznámky lze určit pomocí `typ` atributu s přijatelnými hodnotami `PLÁNOVANÁ` nebo `REÁLNÁ`.&#x20;
* Popis Poznámky lze zadat pomocí `komentáře` atributu. Pokud je potřeba vícestřenkový popis, `komentáře` by měl obsahovat řetězec s novými řádky `\\n` pro oddělení řádků. Například: `"První řádek je tady\\nDruhý řádek je tady.\\nTřetí řádek je tady."`.

Ukázkové požadavky najdete níže:

```graphql
mutace SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "Testovací poznámka připojená k SoilDatasetu",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      zeměpisnou šířku
      zeměpisnou délku
    }
    datumVytvoření
    updatedDate
    typ
    komentáře
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutace SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "První řádek je tady\\nDruhý řádek je tady.\\nTřetí řádek je tady.",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      zeměpisnou šířku
      zeměpisnou délku
    }
    datumVytvoření
    updatedDate
    typ
    komentáře
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/poznamky-piny/27.-mutace-ulozeni-poznamky-pripojene-k-pudnimu-datasetu.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
